Author Topic: Metasploit does not work [SOLVED]  (Read 3786 times)

b4sil

  • Newbie
  • *
  • Posts: 6
    • View Profile
on: September 29, 2013, 04:06:40 PM
Hi All

My stupidity, i add kali sources for a couple of tools, then i forget them not be comment out. Then i run apgrade and boom. Now metasploit is not working.

gives me Bundler gem to be installed error

i tried several times gem install bundler and bundle install commands. I tried remove metasploit and re intall it. No success at the moment. do you have any suggestion on that?

Thanks
« Last Edit: September 30, 2013, 04:24:09 PM by raffaele »



weVeg

  • Hero Member
  • *****
  • Posts: 737
    • View Profile
Reply #1 on: September 29, 2013, 04:49:20 PM
lol b4sil, your first post is awesome!
nice to meet you!

una voce libera รจ sempre liberatrice
under_r00t


ZEROF

  • Hero Member
  • *****
  • Posts: 1247
    • View Profile
    • Pen Tester
Reply #2 on: September 29, 2013, 08:05:30 PM
HI b4sil,

I don't know what to say, you can't use not supported repository at all, but ... Try to remove repository, then run :

sudo apt-get update
sudo apt-get purge msf
apt-get install msf

Goog luck !


Don't ask, read : http://wiki.backbox.org
or just run sudo rm -rf /*


b4d_bl0ck

  • Sr. Member
  • ****
  • Posts: 285
    • View Profile
Reply #3 on: September 29, 2013, 08:17:35 PM
Oh man...
What's you situation right now? Did you remove kali repos? If so i try an apt-get update; apt-get dist-upgrade; apt-get install msf.
Or check the apt/dpkg logs and looks what was installed, and handle them manually to restore the system.
I can't suggest other things as now...
Also, to install other tools prefer downloading them from the official website and compile/install them following their instructions.

Good luck! ;)
Let us know...
« Last Edit: September 29, 2013, 08:20:54 PM by b4d_bl0ck »

bool secure = check_paranoia() ? true : false;


b4sil

  • Newbie
  • *
  • Posts: 6
    • View Profile
Reply #4 on: September 30, 2013, 12:47:17 PM
Haha thanks guys for your support

i know my first post is awesome!!!!!!!

Ok here are my solution - setting up everything :D

because i could not succeed to make the things working... i remove whole the kali repos.

I know it is better to compile the original tools from their original address but i was a bit too lazy to do it :) and now i had to setup backbox again!!! lovely.

Thanks for your support and also this distro. i really fed up with using BT and Kali and gnome....

Now i personalized backbox as much as possible. i am happy guys. You know this feeling right?




ZEROF

  • Hero Member
  • *****
  • Posts: 1247
    • View Profile
    • Pen Tester
Reply #5 on: September 30, 2013, 02:30:27 PM
Hi b4sil,

Welcome and have fun and 0 stupid questions :), just kidding we are here to help our users !


Don't ask, read : http://wiki.backbox.org
or just run sudo rm -rf /*